DH_HASKELL_PROVIDES_GHC(1)

NAME
dh_haskell_provides_ghc - calculates Haskell virtual package names on Cabalized libraries

SYNOPSIS
dh_haskell_provides_ghc [debhelper options] [-Xpackage] [--exclude=package] [file ...]

DESCRIPTION
dh_haskell_provides_ghc is a debhelper program that calculates the correct virtual package to provide, so that dependencies can guarantee ABI stability.

For a package with an idea of package-version-longhashstring, it generates a virtual package of the form libghc-package-dev-version-longh for the -dev package and libghc-package-prof-version-longh for the prof package respectively.

This script writes the debian/$package.substvars file, including in it the haskell:Provides. So, to use this package, include in the Provides: field in debian/control ${haskell:Provides}.

SEE ALSO
dh_haskell_depends(1) dh_haskell_shlibdeps(1) debhelper(7)

AUTHOR
Joachim Breitner <nomeata@debian.org>

Based on ideas in dh_ocaml.